org.gradle.tooling.model.idea

## Interface BasicIdeaProject

- All Superinterfaces:
    Element, HierarchicalElement, IdeaProject, Model

      public interface BasicIdeaProject
      extends IdeaProject

  IdeaProject that does not provide/resolve any external dependencies. Only project dependencies and local file dependencies are included on the modules' classpath.

  Useful for 'previewing' the output model of IdeaProject because it is supposed to be fast (e.g. does not download dependencies from the web).

- - ### Method Summary

    - ### Methods inherited from interface org.gradle.tooling.model.idea.IdeaProject

      `getChildren, getJdkName, getLanguageLevel, getModules`

    - ### Methods inherited from interface org.gradle.tooling.model.HierarchicalElement

      `getParent`

    - ### Methods inherited from interface org.gradle.tooling.model.Element

      `getDescription, getName`